com.sun.jna.platform.win32.COM

## Class TypeComp

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.TypeComp

- All Implemented Interfaces:
    NativeMapped, IUnknown
  Direct Known Subclasses:
    TypeComp.ByReference

      public class TypeComp
      extends Unknown

  Wrapper class for the ITypeComp interface.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeComp.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeComp()` Instantiates a new i type comp.
    `TypeComp(Pointer pvInstance)` Instantiates a new i type comp.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `Bind(WString szName, WinDef.ULONG lHashVal, WinDef.WORD wFlags, PointerByReference ppTInfo, OaIdl.DESCKIND.ByReference pDescKind, OaIdl.BINDPTR.ByReference pBindPtr)` Bind.
    `WinNT.HRESULT` | `BindType(WString szName, WinDef.ULONG lHashVal, PointerByReference ppTInfo, PointerByReference ppTComp)` Bind type.

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeComp

          public TypeComp()

      Instantiates a new i type comp.

    - #### TypeComp

          public TypeComp(Pointer pvInstance)

      Instantiates a new i type comp.
      Parameters:
        `pvInstance` - the pv instance

  - ### Method Detail

    - #### Bind

          public WinNT.HRESULT Bind(WString szName,
                           WinDef.ULONG lHashVal,
                           WinDef.WORD wFlags,
                           PointerByReference ppTInfo,
                           OaIdl.DESCKIND.ByReference pDescKind,
                           OaIdl.BINDPTR.ByReference pBindPtr)

      Bind.
      Parameters:
        `szName` - the sz name
        `lHashVal` - the l hash val
        `wFlags` - the w flags
        `ppTInfo` - the pp t info
        `pDescKind` - the desc kind
        `pBindPtr` - the bind ptr
      Returns:
        the hresult

    - #### BindType

          public WinNT.HRESULT BindType(WString szName,
                               WinDef.ULONG lHashVal,
                               PointerByReference ppTInfo,
                               PointerByReference ppTComp)

      Bind type.
      Parameters:
        `szName` - the sz name
        `lHashVal` - the l hash val
        `ppTInfo` - the pp t info
        `ppTComp` - the pp t comp
      Returns:
        the hresult

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.